{
  description = "A very basic flake";

  inputs = {
    # nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable"; 
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-24.11";
  };

  outputs = { self, nixpkgs }@inputs: 
  	let
    	forEachSystem = nixpkgs.lib.genAttrs [ #untested on non x86_64-linux
   			"aarch64-linux"
   	        "i686-linux"
   	        "x86_64-linux"
   	        "aarch64-darwin"
   	        "x86_64-darwin"
   	         ];
        forEachPkgs = f: forEachSystem (sys: f nixpkgs.legacyPackages.${sys});

        overlayList = [ self.overlays.default ];
        pkgsBySystem = forEachSystem (
          system:
          import nixpkgs {
            inherit system;
            overlays = overlayList;
          }
        );
    in
    rec {
   		# overlays = import ./overlay.nix { inherit inputs; };
	    # packages = forEachPkgs (pkgs: import ./pkgs { inherit pkgs; });
	    # devShells = forEachPkgs (pkgs: import ./shell.nix { inherit pkgs; });
	    # formatter = forEachPkgs (pkgs: pkgs.nixpkgs-fmt);

		#TODO make overlay import via  nixos module
	
		# for future
	    nixosModules = import ./modules/nixos  { overlays = overlayList; };
	    # darwinModules = import ./modules/darwin  { overlays = overlayList; };
 	};
}


