{inputs, pkgs,...}: {
  # Add new packages
  # default = final: _prev: import ./pkgs {pkgs = final;};

  # This one contains whatever you want to overlay
  # You can change versions, add patches, set compilation flags, anything really.
  # https://nixos.wiki/wiki/Overlays
  modifications = self: super: {

	# Example - https://discourse.nixos.org/t/overriding-package-with-environment-variable-wrap/22466/3
  	# discord-canary = pkgs.symlinkJoin {
   #    name = "discord-canary";
   #    paths = [ super.discord-canary];
   #    buildInputs = [ pkgs.makeWrapper ];
   #    postBuild = ''
   #      wrapProgram $out/opt/DiscordCanary/DiscordCanary --set GDK_SCALE 2 --set XCURSOR_SIZE 64
   #    '';
   #  };
	#example 2? - https://discourse.nixos.org/t/overriding-the-buildfhs-runscript-attribute/49582
	# burpsuite =  prev.buildFHSEnv  {
	#     runScript = "my new runScript!";
	#   };
   

	firefox = pkgs.symlinkJoin {
	      name = "firefox";
	      paths = [ super.firefox];
	      buildInputs = [ pkgs.makeWrapper pkgs.bubblewrap ];
	      postBuild = ''
	        bwrap --dev-bind / / --ro-bind /dev/null $(readlink /etc/static/ld-nix.so.preload) $out/bin/firefox
	      '';
	    };

	tor-browser =  super.buildFHSEnv  {
	    runScript = "${pkgs.bubblewrap}/bin/bwrap --dev-bind / / --ro-bind /dev/null $(readlink /etc/static/ld-nix.so.preload) $out/bin/tor-browser";
	  };
    
  };
}
